aboutsummaryrefslogtreecommitdiffstats
path: root/hooks/post-receive
diff options
context:
space:
mode:
Diffstat (limited to 'hooks/post-receive')
-rw-r--r--hooks/post-receive6
1 files changed, 6 insertions, 0 deletions
diff --git a/hooks/post-receive b/hooks/post-receive
new file mode 100644
index 0000000..8da5c7a
--- /dev/null
+++ b/hooks/post-receive
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+cd /home/git/build/zola-no-style-please
+zola build --base-url "https://demo.gumx.cc/no-style-please/"
+rsync -rlptD --delete public/ /var/www/demo.gumx.cc/no-style-please/
+echo "zola-no-style-please deployed to demo.gumx.cc/no-style-please/"